#! /bin/sh
# [[ Header ]]

# Copyright (c) 1996 by SoftWorks.  All Rights Reserved.
# File:   softworks.sh
# Author: Richard Schwaninger
# Date:   09/11/1996
# System: chiron.standalone
# RCS:    $Id$

# [endfold]

# adapted from make.coverpg by
# Author: gert@greenie.muc.de
#
# Syntax:
#	softworks.sh   <pages>  <sender-ID>   <sender-NAME>   <receiver-ID>
#	<receiver-NAME> <date> <time>

#

# if called with "-m <memo-file>", put that file on cover page:
# note that we cannot mix options
PS_FILE="faxcover.ps"
if [ X$1 = X-p ] ; then
    PS_FILE=$2
    shift ; shift
fi
MEMO=""
if [ X$1 = X-m ] ; then
    MEMO=$2
    shift ; shift
fi

SUBJECT=""
if [ X$1 = X-s ] ; then
    SUBJECT=$2
    shift ; shift
fi

#
# get arguments
#
PAGES=$1
S_ID="$2"
S_NAME="$3"
R_ID="$4"
R_NAME="$5"
DATE="$6"
TIME="$7"

#
# chose proper driver for resolution
driver=faxg3 ; test X$normal_res != X && driver=faxg4

txt=`sed -e "s/(/\\\(/g" -e "s/)/\\\)/g" $MEMO | \
awk 'BEGIN { x=3870; y=4725 }
{ printf "%d %d m gs 1 -1 sc (%s) col-1 sh gr ", x, y, $0 ;
	   y += 200; }'` 

# be carefull, the separator char is not allowed in the string...
sed "-e s/@Receiver/$R_NAME/" \
"-e s|@FaxNumber|$R_ID|" \
"-e s/@Pages/$PAGES/" \
"-e s|@Date|$DATE $TIME|" \
"-e s|@Subject|$SUBJECT|" \
"-e s|@Text|$txt|" \
$PS_FILE
# end "with memo"


# EOF



# EOF
